/* TOP MENU */
.sm-dox {
	background: #dfe5f2 !important;
}

.sm-dox a {
	background: none;
}

body {
	background: #fff;
	background-image: none;
	color: #343637; /* Color of Text */
}


a,
a:link,
a:visited
{
	color: #d20a00 !important;
}

.highlighted {
	background: none !important;
}

a.highlighted {
	background: none !important;
}

/*********************************************/
/**              Top main menu              **/
/*********************************************/
#main-nav {
	/* display: none; */
	border-bottom: 1px solid #32363d;
}

#main-nav .sm-dox {
	background: #cecece !important;
}

.sm-dox a {
	text-shadow: none !important;
	background: #cecece !important;
}

.sm-dox a:hover {
	background: #a1a1a2 !important;
}

.sm-dox {
	text-shadow: none !important;
	box-shadow: none !important;
}

.sm-dox ul {
	border: 1px solid #e6e9eb;
	background: #e6e9eb;
}

table.directory {
	background: #eaeaea;
}

.directory tr.even {
	background: #ccc;
}



/*********************************************/
/**               Top search                **/
/*********************************************/
#MSearchSelectWindow {
    border: 1px solid #757575;
    background: #cecece;
}

a.selectItem {
	padding: 3px;
}

a.SelectItem:hover {
	background: #282923 !important;
}

#MSearchResultsWindow {
    border: 1px solid #757575;
    background: #cecece;
    color: #d12820 !important;
}

/*********************************************/
/**                Main menu                **/
/*********************************************/
#nav-tree {
	background: transparent;
}

#nav-tree .selected {
	background-image: none;
	background: #32363d;
}

#titlearea
{
	padding: 0px;
	margin: 0px;
	width: 100%;
	border-bottom: 1px solid #d20a00;
}



/*********************************************/
/**               Main content              **/
/*********************************************/




/*********************************************/
/**               Inline code               **/
/*********************************************/
p code,
li code,
td code,
dd code {
	background-color: #c6c6c6;
	border: 1px solid #E3CACA;
	color: #D3180F;
	/* background-color: #000000;
	border: 1px solid #A8B8D9;
	color: #D8D8D8; */
}

/*********************************************/
/**         Table of Contents (ToC)         **/
/*********************************************/
div.toc {
	background: #32363d;
	border: 1px solid #000000;
}

div.toc h3 {
	font-size: 150%;
	color: inherit;
}

/*********************************************/
/**              Content table              **/
/*********************************************/
table.doxtable tr:nth-child(even) td {
	background: #32363d;
}

div.header {
	background: transparent;
	border-bottom: 1px solid #e6e9eb;
}

/*********************************************/
/**               Field table               **/
/*********************************************/
.fieldtable th {
	background: #282923;
	color: inherit;
}

/*********************************************/
/**           Memitem and memtitle          **/
/*********************************************/
.memdoc {
	border: 1px solid #A8B8D9;
}

/*********************************************/
/**             TOP navigation              **/
/*********************************************/
.tabs, .tabs2, .tabs3 {
	background: #DDDDDD;
}

.tablist li {
	background: transparent !important;
}

.tablist a {
	background-image: none;
	border-right: 1px solid #999999;

	color: #32363d;
}

.tablist a:hover,
.tablist li.current a {
	text-decoration: none;
	color: #000000;
	background: #CCCCCC;
	background-image: none;
}

/*********************************************/
/**              H1 in textblocks           **/
/*********************************************/

/*********************************************/
/**               Note, warning             **/
/*********************************************/

/*********************************************/
/**               Reference list            **/
/**Similar to warning/note/todo/... messages**/
/*********************************************/
dl.reflist {

}


/*********************************************/
/**               Note, warning             **/
/*********************************************/
#docs_list {
	background: #32363d;
}

#docs_list ul li {
	border-right: 1px solid #BFBFBF;
}

#docs_list ul li a {
	color: #1b1e21;
}

#docs_list ul li a:hover,
#docs_list ul li a.docs_current {
	background: #282923;
}

/*********************************************/
/**               Resizable UI              **/
/*********************************************/
.ui-resizable-e {
	background: #32363d;
}

/*********************************************/
/**               Download url              **/
/*********************************************/

/*********************************************/
/**               Syntax folor              **/
/*********************************************/
div.line {
	background: transparent;
	color: #343637;
}

div.line a {
	color: inherit;
}

span.keyword {
	color: #ea4d00;
	font-style: normal;
	font-weight: 600;
}

span.keywordtype {
	color: #009984;;
	font-style: normal;
	font-weight: 600;
}

span.keywordflow {
	color: #8109c4;;
	font-style: normal;
	font-weight: 600;
}

span.comment {
	color: #74705a;
}

span.preprocessor {
	color: #8109c4;
}

span.stringliteral {
	color: #076604;;
}

span.charliteral {
	color: #076604;;
}

span.vhdldigit {
	color: #ff00ff;
}

span.vhdlchar {
	color: #000000;
}

span.vhdlkeyword {
	color: #700070;
}

span.vhdllogic {
	color: #ff0000;
}

span.lineno {
	color: #6f7579;
	background: transparent;
	border-right: 1px solid #6f7579;
}

span.lineno a {
	background: transparent;

}

/*********************************************/
/**          Modules/Directory table        **/
/*********************************************/
.mdescLeft, .mdescRight, .memItemLeft, .memItemRight,
.memTemplItemLeft, .memTemplItemRight, .memTemplParams {
	background: #ffffff;
	color: inherit;
}

.memtemplate {
	color: #B4CCF9;
}

.memSeparator {
	border: none;
	background: transparent;
}

h2.groupheader {
	color: #d20a00;
	border-bottom: 1px solid #343637;
}

/*********************************************/
/**                 Mem items               **/
/*********************************************/
.memtitle {
	background: #fff !important;
	border-color: #000000;
}

.memitem {
	background: #fff !important;
	color: inherit;
	text-shadow: none;
}

.memproto {
	background: inherit;
	border-color: #000000;
	color: inherit;
	text-shadow: none;
}

.memproto table td {
	font-family: monospace, fixed !important;
}

td.memItemLeft, td.memItemRight {
	font-family: monospace, fixed;
}

.paramname, .paramname em {
	color: #000090;
	font-style: normal;
}

.memdoc {
	background: inherit;
	border-color: #000000;
	font-weight: 600;
}


/*********************************************/
/**                 Footer                  **/
/*********************************************/
.titlearea {
	border-bottom: 1px solid #e6e9eb;
}

/*********************************************/
/**                 Footer                  **/
/*********************************************/
#nav-path {
	background: transparent;
}

#nav-path ul {
	background: transparent;
	color: inherit;
	border: none;
	border-top: 1px solid #32363d;
}

.navpath li.footer {
	color: inherit;
}

.navpath li.navelem a {
	text-shadow: none;
}

/*********************************************/
/**             Custom scrollbar            **/
/*********************************************/
::-webkit-scrollbar {
	width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
	border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
	background: #234567;
	border: none;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
	background: #32363d;
}

/*********************************************/
/**             Custom scrollbar            **/
/*********************************************/
h1.glow, h2.glow, h3.glow,
h4.glow, h5.glow, h6.glow {
	text-shadow: 0 0 15px #67d8ef;
}
